from pkg_resources import resource_string

xml = resource_string(__name__, '../profiles/default/registry.xml')

parsed_data = {
    'tiles': [
        {
            'tiles': [{
                'category': u'structure',
                'default_value': u'<p>New block</p>',
                'name': u'text',
                'weight': 10,
                'settings': True,
                'tile_type': u'text',
                'favorite': False,
                'label': u'Text',
                'read_only': False,
                'available_actions': [
                    u'html',
                    u'strong',
                    u'em',
                    u'paragraph',
                    u'heading',
                    u'subheading',
                    u'discreet',
                    u'literal',
                    u'quote',
                    u'callout',
                    u'highlight',
                    u'sub',
                    u'sup',
                    u'remove-format',
                    u'pagebreak',
                    u'ul',
                    u'ol',
                    u'justify-left',
                    u'justify-center',
                    u'justify-right',
                    u'justify-justify',
                    u'tile-align-block',
                    u'tile-align-left',
                    u'tile-align-right',
                    ],
                'rich_text': True,
                }, {
                'category': u'structure',
                'default_value': None,
                'name': u'plone.app.standardtiles.tableofcontents',
                'weight': 20,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Table of contents',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }, {
                'category': u'structure',
                'default_value': None,
                'name': u'plone.app.standardtiles.navigation',
                'weight': 30,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Navigation',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }],
            'name': u'structure',
            'weight': 10,
            'label': u'Structure',
            },
        {
            'tiles': [{
                'category': u'media',
                'default_value': None,
                'name': u'plone.app.standardtiles.image',
                'weight': 10,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Image',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }, {
                'category': u'media',
                'default_value': None,
                'name': u'plone.app.standardtiles.video',
                'weight': 20,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Video',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }, {
                'category': u'media',
                'default_value': None,
                'name': u'plone.app.standardtiles.attachment',
                'weight': 30,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Attachment',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }],
            'name': u'media',
            'weight': 20,
            'label': u'Media',
            },
        {
            'tiles': [{
                'category': u'fields',
                'default_value': None,
                'name': u'plone.app.standardtiles.title',
                'weight': 10,
                'settings': False,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Title',
                'read_only': False,
                'available_actions': [u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': True,
                }, {
                'category': u'fields',
                'default_value': None,
                'name': u'plone.app.standardtiles.description',
                'weight': 20,
                'settings': False,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Description',
                'read_only': False,
                'available_actions': [u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': True,
                }],
            'name': u'fields',
            'weight': 30,
            'label': u'Fields',
            },
        {
            'tiles': [{
                'category': u'applications',
                'default_value': None,
                'name': u'plone.app.standardtiles.calendar',
                'weight': 10,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Calendar',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }, {
                'category': u'applications',
                'default_value': None,
                'name': u'plone.app.standardtiles.discussion',
                'weight': 20,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Discussion',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }],
            'name': u'applications',
            'weight': 40,
            'label': u'Applications',
            },
        {
            'tiles': [{
                'category': u'properties',
                'default_value': None,
                'name': u'plone.app.standardtiles.document_byline',
                'weight': 10,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Document byline',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }, {
                'category': u'properties',
                'default_value': None,
                'name': u'plone.app.standardtiles.related_items',
                'weight': 20,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Related items',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }, {
                'category': u'properties',
                'default_value': None,
                'name': u'plone.app.standardtiles.keywords',
                'weight': 30,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Keywords',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }],
            'name': u'properties',
            'weight': 50,
            'label': u'Properties',
            },
        {
            'tiles': [{
                'category': u'advanced',
                'default_value': None,
                'name': u'plone.app.standardtiles.contentlisting',
                'weight': 10,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Content listing',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }, {
                'category': u'advanced',
                'default_value': None,
                'name': u'plone.app.standardtiles.proxy',
                'weight': 20,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'Proxy',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }, {
                'category': u'advanced',
                'default_value': None,
                'name': u'plone.app.standardtiles.rss',
                'weight': 30,
                'settings': True,
                'tile_type': u'app',
                'favorite': False,
                'label': u'RSS',
                'read_only': False,
                'available_actions': [u'blur', u'tile-align-block',
                        u'tile-align-right', u'tile-align-left'],
                'rich_text': False,
                }],
            'name': u'advanced',
            'weight': 60,
            'label': u'Advanced',
            },
        ],
    'secondary_actions': [{
        'fieldset': None,
        'name': u'layout',
        'weight': 10,
        'items': [{
            'value': u'none',
            'name': u'none',
            'weight': 10,
            'label': u'Layout',
            }, {
            'value': u'newslisting',
            'name': u'newslisting',
            'weight': 20,
            'label': u'News listing',
            }, {
            'value': u'gallery',
            'name': u'gallery',
            'weight': 30,
            'label': u'Gallery',
            }, {
            'value': u'another',
            'name': u'another',
            'weight': 40,
            'label': u'Choose another...',
            }, {
            'value': u'template',
            'name': u'template',
            'weight': 50,
            'label': u'Save as template...',
            }],
        'label': u'Layout',
        'menu': True,
        'action': u'layout',
        'icon': False,
        }, {
        'fieldset': None,
        'name': u'format',
        'weight': 20,
        'items': [{
            'value': u'none',
            'name': u'none',
            'weight': 10,
            'label': u'Format',
            }],
        'label': u'Format',
        'menu': True,
        'action': u'format',
        'icon': False,
        }, {
        'fieldset': None,
        'name': u'insert',
        'weight': 30,
        'items': [{
            'value': u'none',
            'name': u'none',
            'weight': 10,
            'label': u'Insert',
            }],
        'label': u'Insert',
        'menu': True,
        'action': u'insert',
        'icon': False,
        }],
    'primary_actions': [{'name': u'save', 'actions': [{
        'fieldset': u'save',
        'name': u'save',
        'weight': 10,
        'menu': False,
        'label': u'Save',
        'action': u'save',
        'icon': False,
        }], 'label': u'save'}, {
        'fieldset': None,
        'name': u'cancel',
        'weight': 20,
        'menu': False,
        'label': u'Cancel',
        'action': u'cancel',
        'icon': False,
        }, {
        'fieldset': None,
        'name': u'page_properties',
        'weight': 30,
        'menu': False,
        'label': u'Page properties',
        'action': u'page-properties',
        'icon': False,
        }, {
        'fieldset': None,
        'name': u'add_tile',
        'weight': 40,
        'menu': False,
        'label': u'Add tile',
        'action': u'add-tile',
        'icon': False,
        }, {
        'fieldset': None,
        'name': u'html',
        'weight': 50,
        'menu': False,
        'label': u'Edit HTML',
        'action': u'html',
        'icon': False,
        }],
    'default_available_actions': [
        u'save',
        u'cancel',
        u'page-properties',
        u'add-tile',
        u'format',
        u'insert',
        ],
    'formats': [
        {
            'actions': [],
            'name': u'actions',
            'weight': 10,
            'label': u'Actions',
            },
        {
            'actions': [
                {
                    'category': u'text',
                    'name': u'strong',
                    'weight': 10,
                    'favorite': True,
                    'label': u'B',
                    'action': u'strong',
                    'icon': False,
                    },
                {
                    'category': u'text',
                    'name': u'em',
                    'weight': 20,
                    'favorite': True,
                    'label': u'I',
                    'action': u'em',
                    'icon': False,
                    },
                {
                    'category': u'text',
                    'name': u'paragraph',
                    'weight': 30,
                    'favorite': False,
                    'label': u'Paragraph',
                    'action': u'paragraph',
                    'icon': True,
                    },
                {
                    'category': u'text',
                    'name': u'heading',
                    'weight': 40,
                    'favorite': False,
                    'label': u'Heading',
                    'action': u'heading',
                    'icon': True,
                    },
                {
                    'category': u'text',
                    'name': u'subheading',
                    'weight': 50,
                    'favorite': False,
                    'label': u'Subheading',
                    'action': u'subheading',
                    'icon': True,
                    },
                {
                    'category': u'text',
                    'name': u'discreet',
                    'weight': 60,
                    'favorite': False,
                    'label': u'Discreet',
                    'action': u'discreet',
                    'icon': True,
                    },
                {
                    'category': u'text',
                    'name': u'literal',
                    'weight': 70,
                    'favorite': False,
                    'label': u'Literal',
                    'action': u'literal',
                    'icon': True,
                    },
                {
                    'category': u'text',
                    'name': u'quote',
                    'weight': 80,
                    'favorite': False,
                    'label': u'Quote',
                    'action': u'quote',
                    'icon': True,
                    },
                {
                    'category': u'text',
                    'name': u'callout',
                    'weight': 90,
                    'favorite': False,
                    'label': u'Callout',
                    'action': u'callout',
                    'icon': True,
                    },
                ],
            'name': u'text',
            'weight': 20,
            'label': u'Text',
            },
        {
            'actions': [{
                'category': u'selection',
                'name': u'highlight',
                'weight': 100,
                'favorite': False,
                'label': u'Highlight',
                'action': u'highlight',
                'icon': True,
                }, {
                'category': u'selection',
                'name': u'sub',
                'weight': 110,
                'favorite': False,
                'label': u'Subscript',
                'action': u'sub',
                'icon': True,
                }, {
                'category': u'selection',
                'name': u'sup',
                'weight': 120,
                'favorite': False,
                'label': u'Superscript',
                'action': u'sup',
                'icon': True,
                }, {
                'category': u'selection',
                'name': u'remove-format',
                'weight': 130,
                'favorite': False,
                'label': u'(Remove format)',
                'action': u'remove-format',
                'icon': True,
                }],
            'name': u'selection',
            'weight': 30,
            'label': u'Selection',
            },
        {
            'actions': [{
                'category': u'lists',
                'name': u'ul',
                'weight': 140,
                'favorite': False,
                'label': u'Unordered list',
                'action': u'ul',
                'icon': True,
                }, {
                'category': u'lists',
                'name': u'ol',
                'weight': 150,
                'favorite': False,
                'label': u'Ordered list',
                'action': u'ol',
                'icon': True,
                }],
            'name': u'lists',
            'weight': 40,
            'label': u'Lists',
            },
        {
            'actions': [
                {
                    'category': u'justify',
                    'name': u'justify-left',
                    'weight': 160,
                    'favorite': False,
                    'label': u'Left-aligned',
                    'action': u'justify-left',
                    'icon': True,
                    },
                {
                    'category': u'justify',
                    'name': u'justify-center',
                    'weight': 170,
                    'favorite': False,
                    'label': u'Center',
                    'action': u'justify-center',
                    'icon': True,
                    },
                {
                    'category': u'justify',
                    'name': u'justify-right',
                    'weight': 180,
                    'favorite': False,
                    'label': u'Right-aligned',
                    'action': u'justify-right',
                    'icon': True,
                    },
                {
                    'category': u'justify',
                    'name': u'justify-justify',
                    'weight': 190,
                    'favorite': False,
                    'label': u'Justified',
                    'action': u'justify-justify',
                    'icon': True,
                    },
                {
                    'category': u'justify',
                    'name': u'tile-align-block',
                    'weight': 200,
                    'favorite': False,
                    'label': u'Tile block',
                    'action': u'tile-align-block',
                    'icon': True,
                    },
                {
                    'category': u'justify',
                    'name': u'tile-align-left',
                    'weight': 210,
                    'favorite': False,
                    'label': u'Tile left',
                    'action': u'tile-align-left',
                    'icon': True,
                    },
                {
                    'category': u'justify',
                    'name': u'tile-align-right',
                    'weight': 220,
                    'favorite': False,
                    'label': u'Tile right',
                    'action': u'tile-align-right',
                    'icon': True,
                    },
                ],
            'name': u'justify',
            'weight': 50,
            'label': u'Justify',
            },
        {
            'actions': [{
                'category': u'print',
                'name': u'pagebreak',
                'weight': 240,
                'favorite': False,
                'label': u'Page break',
                'action': u'pagebreak',
                'icon': True,
                }],
            'name': u'print',
            'weight': 60,
            'label': u'Print',
            },
        ],
    }

parsed_format_categories_data = {'formats': [
    {
        'actions': [],
        'name': u'actions',
        'weight': 10,
        'label': u'Actions',
        },
    {
        'actions': [],
        'name': u'text',
        'weight': 20,
        'label': u'Text',
        },
    {
        'actions': [],
        'name': u'selection',
        'weight': 30,
        'label': u'Selection',
        },
    {
        'actions': [],
        'name': u'lists',
        'weight': 40,
        'label': u'Lists',
        },
    {
        'actions': [],
        'name': u'justify',
        'weight': 50,
        'label': u'Justify',
        },
    {
        'actions': [],
        'name': u'print',
        'weight': 60,
        'label': u'Print',
        },
    ]}

parsed_format_data = {'formats': [
    {
        'actions': [],
        'name': u'actions',
        'weight': 10,
        'label': u'Actions',
        },
    {
        'actions': [
            {
                'category': u'text',
                'name': u'strong',
                'weight': 10,
                'favorite': True,
                'label': u'B',
                'action': u'strong',
                'icon': False,
                },
            {
                'category': u'text',
                'name': u'em',
                'weight': 20,
                'favorite': True,
                'label': u'I',
                'action': u'em',
                'icon': False,
                },
            {
                'category': u'text',
                'name': u'paragraph',
                'weight': 30,
                'favorite': False,
                'label': u'Paragraph',
                'action': u'paragraph',
                'icon': True,
                },
            {
                'category': u'text',
                'name': u'heading',
                'weight': 40,
                'favorite': False,
                'label': u'Heading',
                'action': u'heading',
                'icon': True,
                },
            {
                'category': u'text',
                'name': u'subheading',
                'weight': 50,
                'favorite': False,
                'label': u'Subheading',
                'action': u'subheading',
                'icon': True,
                },
            {
                'category': u'text',
                'name': u'discreet',
                'weight': 60,
                'favorite': False,
                'label': u'Discreet',
                'action': u'discreet',
                'icon': True,
                },
            {
                'category': u'text',
                'name': u'literal',
                'weight': 70,
                'favorite': False,
                'label': u'Literal',
                'action': u'literal',
                'icon': True,
                },
            {
                'category': u'text',
                'name': u'quote',
                'weight': 80,
                'favorite': False,
                'label': u'Quote',
                'action': u'quote',
                'icon': True,
                },
            {
                'category': u'text',
                'name': u'callout',
                'weight': 90,
                'favorite': False,
                'label': u'Callout',
                'action': u'callout',
                'icon': True,
                },
            ],
        'name': u'text',
        'weight': 20,
        'label': u'Text',
        },
    {
        'actions': [{
            'category': u'selection',
            'name': u'highlight',
            'weight': 100,
            'favorite': False,
            'label': u'Highlight',
            'action': u'highlight',
            'icon': True,
            }, {
            'category': u'selection',
            'name': u'sub',
            'weight': 110,
            'favorite': False,
            'label': u'Subscript',
            'action': u'sub',
            'icon': True,
            }, {
            'category': u'selection',
            'name': u'sup',
            'weight': 120,
            'favorite': False,
            'label': u'Superscript',
            'action': u'sup',
            'icon': True,
            }, {
            'category': u'selection',
            'name': u'remove-format',
            'weight': 130,
            'favorite': False,
            'label': u'(Remove format)',
            'action': u'remove-format',
            'icon': True,
            }],
        'name': u'selection',
        'weight': 30,
        'label': u'Selection',
        },
    {
        'actions': [{
            'category': u'lists',
            'name': u'ul',
            'weight': 140,
            'favorite': False,
            'label': u'Unordered list',
            'action': u'ul',
            'icon': True,
            }, {
            'category': u'lists',
            'name': u'ol',
            'weight': 150,
            'favorite': False,
            'label': u'Ordered list',
            'action': u'ol',
            'icon': True,
            }],
        'name': u'lists',
        'weight': 40,
        'label': u'Lists',
        },
    {
        'actions': [
            {
                'category': u'justify',
                'name': u'justify-left',
                'weight': 160,
                'favorite': False,
                'label': u'Left-aligned',
                'action': u'justify-left',
                'icon': True,
                },
            {
                'category': u'justify',
                'name': u'justify-center',
                'weight': 170,
                'favorite': False,
                'label': u'Center',
                'action': u'justify-center',
                'icon': True,
                },
            {
                'category': u'justify',
                'name': u'justify-right',
                'weight': 180,
                'favorite': False,
                'label': u'Right-aligned',
                'action': u'justify-right',
                'icon': True,
                },
            {
                'category': u'justify',
                'name': u'justify-justify',
                'weight': 190,
                'favorite': False,
                'label': u'Justified',
                'action': u'justify-justify',
                'icon': True,
                },
            {
                'category': u'justify',
                'name': u'tile-align-block',
                'weight': 200,
                'favorite': False,
                'label': u'Tile block',
                'action': u'tile-align-block',
                'icon': True,
                },
            {
                'category': u'justify',
                'name': u'tile-align-left',
                'weight': 210,
                'favorite': False,
                'label': u'Tile left',
                'action': u'tile-align-left',
                'icon': True,
                },
            {
                'category': u'justify',
                'name': u'tile-align-right',
                'weight': 220,
                'favorite': False,
                'label': u'Tile right',
                'action': u'tile-align-right',
                'icon': True,
                },
            ],
        'name': u'justify',
        'weight': 50,
        'label': u'Justify',
        },
    {
        'actions': [{
            'category': u'print',
            'name': u'pagebreak',
            'weight': 240,
            'favorite': False,
            'label': u'Page break',
            'action': u'pagebreak',
            'icon': True,
            }],
        'name': u'print',
        'weight': 60,
        'label': u'Print',
        },
    ]}

parsed_primary_actions_data = [{'name': u'save', 'actions': [{
    'fieldset': u'save',
    'name': u'save',
    'weight': 10,
    'menu': False,
    'label': u'Save',
    'action': u'save',
    'icon': False,
    }], 'label': u'save'}, {
    'fieldset': None,
    'name': u'cancel',
    'weight': 20,
    'menu': False,
    'label': u'Cancel',
    'action': u'cancel',
    'icon': False,
    }, {
    'fieldset': None,
    'name': u'page_properties',
    'weight': 30,
    'menu': False,
    'label': u'Page properties',
    'action': u'page-properties',
    'icon': False,
    }, {
    'fieldset': None,
    'name': u'add_tile',
    'weight': 40,
    'menu': False,
    'label': u'Add tile',
    'action': u'add-tile',
    'icon': False,
    }, {
    'fieldset': None,
    'name': 'html',
    'weight': 50,
    'menu': False,
    'label': 'Edit HTML',
    'action': 'html',
    'icon': False,
    }]

parsed_secondary_actions_data = [{
    'fieldset': None,
    'name': u'layout',
    'weight': 10,
    'items': [{
        'value': u'none',
        'name': u'none',
        'weight': 10,
        'label': u'Layout',
        }, {
        'value': u'newslisting',
        'name': u'newslisting',
        'weight': 20,
        'label': u'News listing',
        }, {
        'value': u'gallery',
        'name': u'gallery',
        'weight': 30,
        'label': u'Gallery',
        }, {
        'value': u'another',
        'name': u'another',
        'weight': 40,
        'label': u'Choose another...',
        }, {
        'value': u'template',
        'name': u'template',
        'weight': 50,
        'label': u'Save as template...',
        }],
    'label': u'Layout',
    'menu': True,
    'action': u'layout',
    'icon': False,
    }, {
    'fieldset': None,
    'name': u'format',
    'weight': 20,
    'items': [{
        'value': u'none',
        'name': u'none',
        'weight': 10,
        'label': u'Format',
        }],
    'label': u'Format',
    'menu': True,
    'action': u'format',
    'icon': False,
    }, {
    'fieldset': None,
    'name': u'insert',
    'weight': 30,
    'items': [{
        'value': u'none',
        'name': u'none',
        'weight': 10,
        'label': u'Insert',
        }],
    'label': u'Insert',
    'menu': True,
    'action': u'insert',
    'icon': False,
    }]

parsed_tiles_categories_data = {'tiles': [
    {
        'tiles': [],
        'name': u'structure',
        'weight': 10,
        'label': u'Structure',
        },
    {
        'tiles': [],
        'name': u'media',
        'weight': 20,
        'label': u'Media',
        },
    {
        'tiles': [],
        'name': u'fields',
        'weight': 30,
        'label': u'Fields',
        },
    {
        'tiles': [],
        'name': u'applications',
        'weight': 40,
        'label': u'Applications',
        },
    {
        'tiles': [],
        'name': u'properties',
        'weight': 50,
        'label': u'Properties',
        },
    {
        'tiles': [],
        'name': u'advanced',
        'weight': 60,
        'label': u'Advanced',
        },
    ]}

parsed_structure_tiles_data = {'tiles': [
    {
        'tiles': [{
            'category': u'structure',
            'default_value': u'<p>New block</p>',
            'name': u'text',
            'weight': 10,
            'settings': True,
            'tile_type': u'text',
            'favorite': False,
            'label': u'Text',
            'read_only': False,
            'available_actions': [
                u'html',
                u'strong',
                u'em',
                u'paragraph',
                u'heading',
                u'subheading',
                u'discreet',
                u'literal',
                u'quote',
                u'callout',
                u'highlight',
                u'sub',
                u'sup',
                u'remove-format',
                u'pagebreak',
                u'ul',
                u'ol',
                u'justify-left',
                u'justify-center',
                u'justify-right',
                u'justify-justify',
                u'tile-align-block',
                u'tile-align-left',
                u'tile-align-right',
                ],
            'rich_text': True,
            }],
        'name': u'structure',
        'weight': 10,
        'label': u'Structure',
        },
    {
        'tiles': [],
        'name': u'media',
        'weight': 20,
        'label': u'Media',
        },
    {
        'tiles': [],
        'name': u'fields',
        'weight': 30,
        'label': u'Fields',
        },
    {
        'tiles': [],
        'name': u'applications',
        'weight': 40,
        'label': u'Applications',
        },
    {
        'tiles': [],
        'name': u'properties',
        'weight': 50,
        'label': u'Properties',
        },
    {
        'tiles': [],
        'name': u'advanced',
        'weight': 60,
        'label': u'Advanced',
        },
    ]}

parsed_application_tiles_data = {'tiles': [
    {
        'tiles': [{
            'category': u'structure',
            'default_value': None,
            'name': u'plone.app.standardtiles.tableofcontents',
            'weight': 20,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Table of contents',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }, {
            'category': u'structure',
            'default_value': None,
            'name': u'plone.app.standardtiles.navigation',
            'weight': 30,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Navigation',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }],
        'name': u'structure',
        'weight': 10,
        'label': u'Structure',
        },
    {
        'tiles': [{
            'category': u'media',
            'default_value': None,
            'name': u'plone.app.standardtiles.image',
            'weight': 10,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Image',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }, {
            'category': u'media',
            'default_value': None,
            'name': u'plone.app.standardtiles.video',
            'weight': 20,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Video',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }, {
            'category': u'media',
            'default_value': None,
            'name': u'plone.app.standardtiles.attachment',
            'weight': 30,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Attachment',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }],
        'name': u'media',
        'weight': 20,
        'label': u'Media',
        },
    {
        'tiles': [{
            'category': u'fields',
            'default_value': None,
            'name': u'plone.app.standardtiles.title',
            'weight': 10,
            'settings': False,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Title',
            'read_only': False,
            'available_actions': [u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': True,
            }, {
            'category': u'fields',
            'default_value': None,
            'name': u'plone.app.standardtiles.description',
            'weight': 20,
            'settings': False,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Description',
            'read_only': False,
            'available_actions': [u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': True,
            }],
        'name': u'fields',
        'weight': 30,
        'label': u'Fields',
        },
    {
        'tiles': [{
            'category': u'applications',
            'default_value': None,
            'name': u'plone.app.standardtiles.calendar',
            'weight': 10,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Calendar',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }, {
            'category': u'applications',
            'default_value': None,
            'name': u'plone.app.standardtiles.discussion',
            'weight': 20,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Discussion',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }],
        'name': u'applications',
        'weight': 40,
        'label': u'Applications',
        },
    {
        'tiles': [{
            'category': u'properties',
            'default_value': None,
            'name': u'plone.app.standardtiles.document_byline',
            'weight': 10,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Document byline',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }, {
            'category': u'properties',
            'default_value': None,
            'name': u'plone.app.standardtiles.related_items',
            'weight': 20,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Related items',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }, {
            'category': u'properties',
            'default_value': None,
            'name': u'plone.app.standardtiles.keywords',
            'weight': 30,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Keywords',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }],
        'name': u'properties',
        'weight': 50,
        'label': u'Properties',
        },
    {
        'tiles': [{
            'category': u'advanced',
            'default_value': None,
            'name': u'plone.app.standardtiles.contentlisting',
            'weight': 10,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Content listing',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }, {
            'category': u'advanced',
            'default_value': None,
            'name': u'plone.app.standardtiles.proxy',
            'weight': 20,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'Proxy',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }, {
            'category': u'advanced',
            'default_value': None,
            'name': u'plone.app.standardtiles.rss',
            'weight': 30,
            'settings': True,
            'tile_type': u'app',
            'favorite': False,
            'label': u'RSS',
            'read_only': False,
            'available_actions': [u'blur', u'tile-align-block',
                                  u'tile-align-right',
                                  u'tile-align-left'],
            'rich_text': False,
            }],
        'name': u'advanced',
        'weight': 60,
        'label': u'Advanced',
        },
    ]}
